Commit d52f233b authored by Petr Špaček's avatar Petr Špaček Committed by Tomas Krizek

run.sh: cleanup

Hint about pytest-xdist was removed because it did not work anyway.
For some reason py.test without xdist returns exit code 2 which is the
same as for premature test interruption.
parent beb2e14d
......@@ -60,5 +60,4 @@ set -o errexit -o nounset
## iter_minim_a.rpl val_nsec3_optout_unsec_cache.rpl
RUNDIR="$(dirname "$0")"
cd $RUNDIR && ./run.sh --config configs/getdns.yaml "$@"
cd "$RUNDIR" && ./run.sh --config configs/getdns.yaml "$@"
#!/bin/bash
set -o errexit -o nounset
echo 'INFO: Tests require Knot compiled with ./configure --enable-recvmmsg=no'
RUNDIR="$(dirname "$0")"
cd $RUNDIR && ./run.sh --config configs/knotd_master.yaml "$@"
cd "$RUNDIR" && ./run.sh --config configs/knotd_master.yaml "$@"
#!/bin/bash
set -o errexit -o nounset
echo 'INFO: Tests require Knot compiled with ./configure --enable-recvmmsg=no'
RUNDIR="$(dirname "$0")"
cd $RUNDIR && ./run.sh --config configs/knotd_slave.yaml "$@"
cd "$RUNDIR" && ./run.sh --config configs/knotd_slave.yaml "$@"
......@@ -2,4 +2,4 @@
set -o errexit -o nounset
RUNDIR="$(dirname "$0")"
cd $RUNDIR && ./run.sh --config configs/kresd.yaml "$@"
cd "$RUNDIR" && ./run.sh --config configs/kresd.yaml "$@"
......@@ -2,4 +2,4 @@
set -o errexit -o nounset
RUNDIR="$(dirname "$0")"
cd $RUNDIR && ./run.sh --config configs/pdns.yaml "$@"
cd "$RUNDIR" && ./run.sh --config configs/pdns.yaml "$@"
MAKEDIR="$(dirname "$0")"
LDPRELOAD=$(make depend -C "${MAKEDIR}")
#!/bin/bash
set -o errexit -o nounset
source ${MAKEDIR}/env.sh
MAKEDIR="$(dirname "$0")"
rm -f "${MAKEDIR}/env.sh"
LDPRELOAD="$(make depend -C "${MAKEDIR}")"
source "${MAKEDIR}/env.sh"
# compatibility with old TESTS= env variable
# add --scenarios= only if the variable TESTS is non-empty
python3 -m pytest -q tests/test_runner.py ${TESTS:+"--scenarios=${TESTS}"} "$@"
RETVAL=$?
if [[ $RETVAL -eq 4 && "$@" =~ .*-n.* ]]
then
echo "Running on multiple cores failed. Is pytest-xdist module installed?"
fi
exit $RETVAL
......@@ -2,4 +2,4 @@
set -o errexit -o nounset
RUNDIR="$(dirname "$0")"
cd $RUNDIR && ./run.sh --config configs/unbound.yaml "$@"
cd "$RUNDIR" && ./run.sh --config configs/unbound.yaml "$@"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment